Package org.thymeleaf.extras.springsecurity4.dialect.processor

## Class AuthenticationAttrProcessor

- Object
- - org.thymeleaf.processor.AbstractProcessor
  - - org.thymeleaf.processor.element.AbstractElementTagProcessor
    - - org.thymeleaf.processor.element.AbstractAttributeTagProcessor
      - - org.thymeleaf.extras.springsecurity4.dialect.processor.AuthenticationAttrProcessor

- All Implemented Interfaces:
    `org.thymeleaf.processor.element.IElementProcessor`, `org.thymeleaf.processor.element.IElementTagProcessor`, `org.thymeleaf.processor.IProcessor`

      public final class AuthenticationAttrProcessor
      extends org.thymeleaf.processor.element.AbstractAttributeTagProcessor

  Outputs a property of the authentication object, similar to the Spring Security <sec:authentication/> JSP tag.
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ATTR_NAME` |
    `static int` | `ATTR_PRECEDENCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticationAttrProcessor​(org.thymeleaf.templatemode.TemplateMode templateMode, String dialectPrefix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doProcess​(org.thymeleaf.context.ITemplateContext context, org.thymeleaf.model.IProcessableElementTag tag, org.thymeleaf.engine.AttributeName attributeName, String attributeValue, org.thymeleaf.processor.element.IElementTagStructureHandler structureHandler)` |

    - ### Methods inherited from class org.thymeleaf.processor.element.AbstractAttributeTagProcessor

      `doProcess`

    - ### Methods inherited from class org.thymeleaf.processor.element.AbstractElementTagProcessor

      `getDialectPrefix, getMatchingAttributeName, getMatchingElementName, process`

    - ### Methods inherited from class org.thymeleaf.processor.AbstractProcessor

      `getPrecedence, getTemplateMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thymeleaf.processor.IProcessor

      `getPrecedence, getTemplateMode`

- - ### Field Detail

    - #### ATTR_PRECEDENCE

          public static final int ATTR_PRECEDENCE

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final String ATTR_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthenticationAttrProcessor

          public AuthenticationAttrProcessor​(org.thymeleaf.templatemode.TemplateMode templateMode,
                                             String dialectPrefix)

  - ### Method Detail

    - #### doProcess

          protected void doProcess​(org.thymeleaf.context.ITemplateContext context,
                                   org.thymeleaf.model.IProcessableElementTag tag,
                                   org.thymeleaf.engine.AttributeName attributeName,
                                   String attributeValue,
                                   org.thymeleaf.processor.element.IElementTagStructureHandler structureHandler)

      Specified by:
        `doProcess` in class `org.thymeleaf.processor.element.AbstractAttributeTagProcessor`